@charset "UTF-8";
/* CSS Document */


* {
	margin: 0;
	padding: 0;
	border: 0;
	box-sizing: border-box;
}

body, html {
    margin: 0;
    padding: 0;
    width: 100%;
	height: 100%;
	box-sizing: border-box;
	font-family: 'Montserrat', sans-serif;
	font-weight: 400;
	/*background-image: url("images/pattern.png");*/
	background-position: center;
	font-size: 12px; line-height: 28px;
}

#encabezado {
    color: black; /* Color de texto */
    text-align: center; /* Alineación del texto */
    position: fixed; /* Fijo en la pantalla */
    top: 0; /* Superior de la pantalla */
    left: 0; /* Alineado a la izquierda */
    width: 100%; /* Ancho completo */
	padding: 0;
    z-index: 1000; /* Asegura que se mantenga sobre otros elementos */
}

#contenido {
    padding-top: 50px; /* Espacio en la parte superior para no ocultar contenido bajo el header */
}









.slideshow-container {
    position: relative;
    width: 100%;
    height: 100vh; /* Altura completa de la ventana */
    overflow: hidden; /* Ocultar cualquier parte de la imagen que exceda el contenedor */
}

.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    opacity: 0; /* Inicialmente ocultas */
    transition: opacity 3s ease-in-out;
    object-fit: cover; /* Asegura que la imagen mantenga su proporción */
}

#image1, #image1t, #image1c {
    opacity: 1; /* Asegura que la imagen 1 sea visible desde el inicio */
}

#image2, #image2t, #image2c {
    /* La imagen 2 está configurada para ser manipulada por JavaScript */
}














.wrap {
	width: 1440px;
	margin-left: auto;
	margin-right: auto;
}



.portaHeader {
    display: flex;
    justify-content: space-between; /* Distribuye los elementos en los extremos */
    align-items: center; /* Alinea verticalmente los elementos */
    padding: 15px 20px 5px 20px; /* Ajusta según necesidad para el padding general */
}

.portaLogo {
    /* Eliminados los márgenes automáticos */
    width: 200px; /* Ajusta según el tamaño deseado del logo */
	padding: 0;
}

.logo {
    height: auto;
    width: 100%;
}

.portaFraseHeader {
    /* Se puede ajustar el estilo del texto según sea necesario */
	padding-top: 21px;
}










h1, .estiloTitulo {
	font-weight: 700;
	font-size: 30px;
	line-height: 59px;
	padding: 20px 0;
	text-align: center;
	color:#bebebd;

}
h2 {
	font-weight: normal;
	font-size: 20px;
	line-height: 30px;
	padding: 20px 0;
}
h3, h4 {
	font-family: 'Barlow', sans-serif;
	font-size: 26px;
	line-height: 26px;
	padding: 10px 0;
	font-weight: 700;
}

p {padding: 10px 0; font-size: 14px; line-height: 28px;}
b {font-weight: 700;}
a {text-decoration: none;}
a:hover {text-decoration: none;}

p.pieDeFoto {margin: 0; padding: 0; font-size: 14px;  line-height: 14px;}
p.frasePrincipal {font-family: 'Bitter', serif; font-size: 30px; line-height: 40px; font-weight: 200;}

.cursiva {font-family: 'signpainter'; font-size: 60px;	line-height: 54px;	color: #714732;	padding: 20px;}
.txtCentrado {text-align: center;}
.espacioInferior {padding-bottom: 50px;}
.redondear {border-radius: 20px;}


.icoSocial {font-size: 40px;}
.icoSocial a {text-decoration: none; color: #000000;}


.colorAzul {color: #000000;}
.colorNegro {color: #000000;}
.colorBlanco {color: #FFFFFF;}
.colorGrisClaro {color: #aaaaaa;}

.fondoAzul {background-color: #000000;}
.fondoBlanco {background-color: #FFFFFF;}


.footer {background-color: #000; padding: 30px 20px 100px 20px;}


/* Menu Principal */
/* Menu Principal */
nav {
    display: flex;
    justify-content: center;
    align-items: center;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-between; /* Cambiado de 'center' a 'space-between' */
    align-items: center;
    width: 100%; /* Asegura que el <ul> ocupe todo el ancho del <nav> */
}

nav li {
    margin:10px;
}

nav a {
    text-decoration: none;
    font-size: 16px;
    line-height: 36px;
	font-weight: 400;
    padding: 10px;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}


.barraMenu {padding: 0; width: 100%; max-width: 1440px; margin-right: auto; margin-left: auto; margin-bottom: -35px;}
.barraMenuSeccion {padding: 30px 0 30px 0; max-width: 1440px; margin-right: auto; margin-left: auto;}

.ligaActiva {font-weight: 700;}


ul.menuSecciones {
    list-style: none;
    padding-top: 20px;
    text-align: center; /* Asegurar que el texto en <li> se centre */
}

ul.menuSecciones li {
    list-style: none;
}

ul.menuSecciones li a {
    display: block; /* Hacer que el enlace sea un elemento de bloque */
    font-size: 24px;
    line-height: 44px;
    font-weight: 400;
}



/* Sistema de colúmnas */
.row {
  display: flex;
  flex-wrap: wrap;
}

.col-2,
.col-3,
.col-4 {
  padding: 15px;
  margin-bottom: 30px;
}

.col-2 {
  flex: 0 0 calc(50% - 30px);
  margin-left: 15px;
  margin-right: 15px;
}

.col-3 {
  flex: 0 0 calc(33.3333% - 30px);
  margin-left: 15px;
  margin-right: 15px;
}

.col-4 {
  flex: 0 0 calc(25% - 30px);
  margin-left: 15px;
  margin-right: 15px;
}
.fondoBordeCol {border: 1px solid #ccc; background-color: #f1f1f1;}


/* Boton Whats */
.botonWhatsapp {
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
  z-index: 9999;
	
}

.whatsapp-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
/*  background-color: #bbbbba;
  border-radius: 50%;
  box-shadow: 0px 2px 5px #888888;*/
}

.whatsapp-link i {
  color: #fff;
  font-size: 35px;
  	
}

a.whatsapp-link {text-decoration: none;}



.icoContacto {
  display: flex;
  justify-content: left;
  align-items: center;
  /* width: 40px; */ /* Comentado o eliminado para permitir más espacio */
  height: 60px;
}

.icoContacto i {
  color: #707070;
  font-size: 35px;
  padding-right: 5px;
}

a.icoContacto {text-decoration: none;}




/* Boton LinkTree */
.botonLinkTree {
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
  z-index: 9999;
	
}

.linktree-link {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 60px;
  height: 60px;
  background-color: #333;
  border-radius: 50%;
  box-shadow: 0px 2px 5px #888888;
}

.linktree-link i {
  color: #fff;
  font-size: 30px;
  padding-bottom: 5px;	
}

a.linktree-link {text-decoration: none;}


/* Menu Celular */
.menuCelular {
  position: fixed;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 60px;
  z-index: 9990;
  background-color: #c6c6c6;
  padding: 10px 0;	
}


/* Boton Celular */
.buttonMenuCelular {
    align-items: center;
    background-color: transparent; /* Fondo transparente */
    border-radius: 8px;
    border-width: 0;
    box-shadow: none; /* Sin sombra */
    box-sizing: border-box;
    color: #fff; /* Texto blanco */
    cursor: pointer;
    display: inline-flex;
    flex-direction: column;
    font-family: expo-brand-demi,system-ui,-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    font-size: 18px;
    height: 52px;
    justify-content: center;
    line-height: 1;
    margin: 5px;
    outline: none;
    overflow: hidden;
    padding: 0 30px;
    text-align: center;
    text-decoration: none;
    transform: translate3d(0, 0, 0);
    transition: none; /* Sin transición */
    vertical-align: baseline;
    white-space: nowrap;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.buttonMenuCelular:hover, .buttonMenuCelular:active, .buttonMenuCelular:focus {
    /* Removiendo los efectos en hover, active y focus */
    box-shadow: none;
    opacity: 1;
}

.btnMenuColor {
    /* Estilos específicos de cada botón */
    background-image: none; /* Sin imagen de fondo */
    font-size: 18px; /* Tamaño de fuente uniforme */
}

.btnWhatsColor {
    /* Estilos específicos de cada botón */
    background-image: none; /* Sin imagen de fondo */
    font-size: 26px; /* Tamaño de fuente uniforme */
}

.btnMailsColor {
    /* Estilos específicos de cada botón */
    background-image: none; /* Sin imagen de fondo */
    font-size: 22px; /* Tamaño de fuente uniforme */
}



/* Imagenes Portafolio */
.portfolio-item {
  position: relative;
  width: 100%; /* Ahora ocupa todo el ancho de su contenedor */
  overflow: hidden;
}

.portfolio-item img, .imgResponsiva {
  width: 100%; /* Ajuste para que la imagen sea responsiva */
  height: auto; /* Mantiene la proporción de la imagen */
  transition: transform 0.5s ease;
}

.overlay {
  position: absolute;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5); /* Capa negra translúcida */
  color: #f1f1f1;
  width: 100%;
  height: 100%; /* Ajuste para que cubra toda la imagen */
  transition: .5s ease;
  opacity: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.text {
  color: white;
  font-size: 20px;
  text-align: center;
}

.portfolio-item:hover img {
  transform: scale(1.1);
}

.portfolio-item:hover .overlay {
  opacity: 1;
}




/* Masonry */
.container { width: 100%; }

.itemContainer {
    background-color: #fff;
    float: left;
    margin: 10px;
    width: 340px;
    padding: 0;
}

.portaImagen img {
    width: 100%;
    height: auto;
	display: block;
}


.limpiador {
    clear: both;
}






/* Parches */
.soloTableta {display: none;}
.soloCelular {display: none;}
.espacioHeader {height: 150px; width: 10px;}


@media only screen and (min-width: 1280px) and (max-width: 1439px) {
.wrap {width: 1280px;}
.soloTableta {display: none;}
.soloCelular {display: none;}
.itemContainer {width: 300px;}	
}

@media only screen and (min-width: 960px) and (max-width: 1279px) {
.wrap {width: 960px;}
.soloTableta {display: none;}
.soloCelular {display: none;}	
.itemContainer {width: 300px;}	
}

@media only screen and (min-width: 640px) and (max-width: 959px) {
.wrap {width: 640px;}
.soloEscritorio {display: none;}
.soloTableta {display: block;}
.soloCelular {display: none;}
.itemContainer {width: 300px;}
.portaHeader {padding: 10px 20px;}	
.logo {height: auto; width: 200px; margin-bottom: -10px;}	
.portaFraseHeader {
    /* Se puede ajustar el estilo del texto según sea necesario */
	padding-top: 33px;
}	
}

@media only screen and (min-width: 480px) and (max-width: 639px) {
.wrap {width: 480px;}
.portaHeader {flex-direction: column; /* Cambia la disposición a vertical */align-items: flex-start; /* Alinea los elementos al inicio (izquierda) */ padding: 10px 0 0 0;}
.portaLogo, .portaFraseHeader {width: 100%; /* Asegura que ocupen todo el ancho disponible */text-align: center; /* Centra el texto de la frase */margin: 0; padding: 0;}
.portaFraseHeader {margin: 0; padding: 0; /* Espacio entre el logo y la frase */}	
.logo {height: auto; width: 200px; margin-bottom: -20px;}		
.soloEscritorio {display: none;}
.soloTableta {display: none;}
.soloCelular {display: block;}
.botonWhatsapp, .botonLinkTree {display:none;}	
.buttonMenuCelular {height: 48px;}
.col-2, .col-3, .col-4 {flex: 0 0 calc(100% - 35px);}
.itemContainer {width: 220px;}	
.espacioHeader {height: 100px;}		
}

@media only screen and (min-width: 320px) and (max-width: 479px) {
.wrap {width: 320px;}
	
.portaHeader {flex-direction: column; /* Cambia la disposición a vertical */align-items: flex-start; /* Alinea los elementos al inicio (izquierda) */ padding: 10px 0 0 0;}
.portaLogo, .portaFraseHeader {width: 100%; /* Asegura que ocupen todo el ancho disponible */text-align: center; /* Centra el texto de la frase */margin: 0; padding: 0;}
.portaFraseHeader {margin: 0; padding: 0; /* Espacio entre el logo y la frase */}	
.logo {height: auto; width: 200px; margin-bottom: -20px;}	
	
.soloEscritorio {display: none;}
.soloTableta {display: none;}
.soloCelular {display: block;}
.botonWhatsapp, .botonLinkTree {display:none;}	
.buttonMenuCelular {height: 48px;}
.col-2, .col-3, .col-4 {flex: 0 0 calc(100% - 35px);}

.itemContainer {width: 150px;  margin: 5px;}
.espacioHeader {height: 100px;}	
	
}
